TLS 1.2 Support - OpenEdge 11.6 Community Input - Products Enhancements - Progress Community

 OpenEdge 11.6 Community Input

TLS 1.2 Support

  • Complete

Originally created under ABL group, thinking 11.6 might be better place.

PSC is moving to support TLS 1.0, however, standards groups are moving to end of life TLS 1.0 along with SSL 3.0. For example PCI Security Council PCI-PADSS 3.1.

TLS 1.0 will provide limited benefit for very short period of time.

Status update

TLS 1.2 support was delivered in OpenEdge 11.6 in October 2015. It was also supplied as a Hot Fix for all Mature OpenEdge versions during November-December 2015: 10.2B08, 11.3.3, 11.4, 11.5.1.